%global pypi_name pytest-cov

Name:           python-%{pypi_name}
Version:        2.10.1
Release:        %mkrel 1
Summary:        Pytest plugin for coverage reporting
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/pytest-cov
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesse and multiprocessing.

%package -n python3-%{pypi_name}
Summary:        Pytest plugin for coverage reporting
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(funcsigs)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(cov-core)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc PKG-INFO CHANGELOG.rst README.rst
%license LICENSE
%{python3_sitelib}/*


%changelog
* Wed Nov 11 2020 guillomovitch <guillomovitch> 2.10.1-1.mga8
+ Revision: 1644562
- new version 2.10.1

* Tue Feb 18 2020 umeabot <umeabot> 2.8.1-2.mga8
+ Revision: 1539633
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 shlomif <shlomif> 2.8.1-1.mga8
+ Revision: 1465489
- New version 2.8.1

* Fri Sep 06 2019 wally <wally> 2.7.1-3.mga8
+ Revision: 1437945
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 2.7.1-2.mga8
+ Revision: 1435495
- drop python2 support

* Sun Jul 14 2019 shlomif <shlomif> 2.7.1-1.mga8
+ Revision: 1421196
- New version 2.7.1

* Tue Apr 09 2019 shlomif <shlomif> 2.6.1-1.mga7
+ Revision: 1387385
- New version 2.6.1

* Sat Jan 05 2019 wally <wally> 2.6.0-2.mga7
+ Revision: 1349761
- rebuild for python3.7

* Thu Nov 22 2018 shlomif <shlomif> 2.6.0-1.mga7
+ Revision: 1333278
- New version 2.6.0

* Thu Sep 20 2018 umeabot <umeabot> 2.5.1-2.mga7
+ Revision: 1289833
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 2.5.1-1.mga7
+ Revision: 1227702
- new version: 2.5.1
- rename python-pytest-cov to python2-pytest-cov
- use new python macros and provides

* Tue May 01 2018 shlomif <shlomif> 1.6-1.mga7
+ Revision: 1224326
- add BRs
- Add group
+ juancho <juancho>
- imported package python-pytest-cov


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Orion Poplawski <orion@cora.nwra.com> - 1.6-2
- Rebuild for Python 3.4

* Tue Feb 25 2014 Orion Poplawski <orion@cora.nwra.com> - 1.6-1
- Initial package
